Search for form

  1. Search 7.x for form
  2. Search 9.5.x for form
  3. Search 8.9.x for form
  4. Search 10.3.x for form
  5. Other projects

Exact matches

These are exact matches according to your search
Title Object type File name Summary
Form class core/lib/Drupal/Core/Render/Element/Form.php Provides a render element for a form.
Form class core/modules/system/tests/modules/router_test_directory/src/Form.php Form to test _form routing.

All search results

Title Object type File name Summary
NegotiationConfigureForm::buildForm function core/modules/language/src/Form/NegotiationConfigureForm.php Form constructor.
NegotiationConfigureForm::configureFormTable function core/modules/language/src/Form/NegotiationConfigureForm.php Builds a language negotiation method configuration table.
NegotiationConfigureForm::create function core/modules/language/src/Form/NegotiationConfigureForm.php Instantiates a new instance of the implementing class using autowiring.
NegotiationConfigureForm::disableLanguageSwitcher function core/modules/language/src/Form/NegotiationConfigureForm.php Disables the language switcher blocks.
NegotiationConfigureForm::getEditableConfigNames function core/modules/language/src/Form/NegotiationConfigureForm.php Gets the configuration names that will be editable.
NegotiationConfigureForm::getFormId function core/modules/language/src/Form/NegotiationConfigureForm.php Returns a unique string identifying the form.
NegotiationConfigureForm::submitForm function core/modules/language/src/Form/NegotiationConfigureForm.php Form submission handler.
NegotiationConfigureForm::__construct function core/modules/language/src/Form/NegotiationConfigureForm.php Constructs a NegotiationConfigureForm object.
NegotiationMiddleware::$formats property core/lib/Drupal/Core/StackMiddleware/NegotiationMiddleware.php Contains a hashmap of format as key and mimetype as value.
NegotiationMiddleware::registerFormat function core/lib/Drupal/Core/StackMiddleware/NegotiationMiddleware.php Registers a format for a given MIME type.
NegotiationMiddlewareTest::testFormatViaQueryParameter function core/tests/Drupal/Tests/Core/StackMiddleware/NegotiationMiddlewareTest.php Tests the specifying a format via query parameters gets used.
NegotiationMiddlewareTest::testSetFormat function core/tests/Drupal/Tests/Core/StackMiddleware/NegotiationMiddlewareTest.php Tests set format.
NegotiationSelectedForm class core/modules/language/src/Form/NegotiationSelectedForm.php Configure the selected language negotiation method for this site.
NegotiationSelectedForm.php file core/modules/language/src/Form/NegotiationSelectedForm.php
NegotiationSelectedForm::buildForm function core/modules/language/src/Form/NegotiationSelectedForm.php Form constructor.
NegotiationSelectedForm::getEditableConfigNames function core/modules/language/src/Form/NegotiationSelectedForm.php Gets the configuration names that will be editable.
NegotiationSelectedForm::getFormId function core/modules/language/src/Form/NegotiationSelectedForm.php Returns a unique string identifying the form.
NegotiationSelectedForm::submitForm function core/modules/language/src/Form/NegotiationSelectedForm.php Form submission handler.
NegotiationSessionForm class core/modules/language/src/Form/NegotiationSessionForm.php Configure the session language negotiation method for this site.
NegotiationSessionForm.php file core/modules/language/src/Form/NegotiationSessionForm.php
NegotiationSessionForm::buildForm function core/modules/language/src/Form/NegotiationSessionForm.php Form constructor.
NegotiationSessionForm::getEditableConfigNames function core/modules/language/src/Form/NegotiationSessionForm.php Gets the configuration names that will be editable.
NegotiationSessionForm::getFormId function core/modules/language/src/Form/NegotiationSessionForm.php Returns a unique string identifying the form.
NegotiationSessionForm::submitForm function core/modules/language/src/Form/NegotiationSessionForm.php Form submission handler.
NegotiationUrlForm class core/modules/language/src/Form/NegotiationUrlForm.php Configure the URL language negotiation method for this site.
NegotiationUrlForm.php file core/modules/language/src/Form/NegotiationUrlForm.php
NegotiationUrlForm::$languageManager property core/modules/language/src/Form/NegotiationUrlForm.php The language manager.
NegotiationUrlForm::buildForm function core/modules/language/src/Form/NegotiationUrlForm.php Form constructor.
NegotiationUrlForm::create function core/modules/language/src/Form/NegotiationUrlForm.php Instantiates a new instance of the implementing class using autowiring.
NegotiationUrlForm::getEditableConfigNames function core/modules/language/src/Form/NegotiationUrlForm.php Gets the configuration names that will be editable.
NegotiationUrlForm::getFormId function core/modules/language/src/Form/NegotiationUrlForm.php Returns a unique string identifying the form.
NegotiationUrlForm::submitForm function core/modules/language/src/Form/NegotiationUrlForm.php Form submission handler.
NegotiationUrlForm::validateForm function core/modules/language/src/Form/NegotiationUrlForm.php Form validation handler.
NegotiationUrlForm::__construct function core/modules/language/src/Form/NegotiationUrlForm.php Constructs a new NegotiationUrlForm object.
NestedArrayTest::$form property core/tests/Drupal/Tests/Component/Utility/NestedArrayTest.php Form array to check.
NestedConfigTargetForm class core/modules/system/tests/modules/form_test/src/Form/NestedConfigTargetForm.php Test form for testing config targets that are not 1:1.
NestedConfigTargetForm.php file core/modules/system/tests/modules/form_test/src/Form/NestedConfigTargetForm.php
NestedConfigTargetForm::buildForm function core/modules/system/tests/modules/form_test/src/Form/NestedConfigTargetForm.php Form constructor.
NestedConfigTargetForm::getEditableConfigNames function core/modules/system/tests/modules/form_test/src/Form/NestedConfigTargetForm.php Gets the configuration names that will be editable.
NestedConfigTargetForm::getFormId function core/modules/system/tests/modules/form_test/src/Form/NestedConfigTargetForm.php Returns a unique string identifying the form.
NestedEntityTestForm class core/modules/field/tests/modules/field_test/src/Form/NestedEntityTestForm.php Provides a form for field_test routes.
NestedEntityTestForm.php file core/modules/field/tests/modules/field_test/src/Form/NestedEntityTestForm.php
NestedEntityTestForm::buildForm function core/modules/field/tests/modules/field_test/src/Form/NestedEntityTestForm.php Form constructor.
NestedEntityTestForm::getFormId function core/modules/field/tests/modules/field_test/src/Form/NestedEntityTestForm.php Returns a unique string identifying the form.
NestedEntityTestForm::submitForm function core/modules/field/tests/modules/field_test/src/Form/NestedEntityTestForm.php Form submission handler.
NestedEntityTestForm::validateForm function core/modules/field/tests/modules/field_test/src/Form/NestedEntityTestForm.php Form validation handler.
NestedFormTest class core/modules/field/tests/src/Functional/NestedFormTest.php Tests field elements in nested forms.
NestedFormTest.php file core/modules/field/tests/src/Functional/NestedFormTest.php
NestedFormTest::$defaultTheme property core/modules/field/tests/src/Functional/NestedFormTest.php The theme to install as the default for testing.
NestedFormTest::$field property core/modules/field/tests/src/Functional/NestedFormTest.php

Buggy or inaccurate documentation? Please file an issue. Need support? Need help programming? Connect with the Drupal community.